Table of Contents

Class: Int16StringReceiver | Twisted-0.19.0/twisted/protocols/basic.py
--- | ---
### A receiver for int16-prefixed strings. An int16 string is a string prefixed by 2 bytes, the 16-bit length of the string encoded in network byte order. This class publishes the same interface as NetstringReceiver.
Base Classes |
--- | ---
protocol.Protocol
Methods |
--- | ---
dataReceived sendString stringReceived
| dataReceived
    dataReceived ( self,  recd )
Convert int16 prefixed strings into calls to stringReceived.
| sendString
    sendString ( self,  data )
Send an int16-prefixed string to the other end of the connection.
| stringReceived
    stringReceived ( self,  msg )
Override this.
Exceptions |
--- | ---
NotImplementedError

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:57 2002 by HappyDoc version 2.0